using Core.Abstractions.DomainObjects;

namespace Core.DomainObjects {
  public class Author : PersonBase<Author>{
    public string NickName { get; set; }

    public override int GetHashCode() {
      unchecked {
        int hash = 17;
        hash = hash * 23 + Id.GetHashCode();
        if(Image != null)
          hash = hash * 23 + Image.GetHashCode();
        hash = hash * 23 + NickName.GetHashCode();

        return hash;
      }
    }
  }
}
